FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Ubuntu > Kubuntu User

 
 
LinkBack Thread Tools
 
Old 01-08-2008, 12:44 AM
Wulfy
 
Default broken files and apt get locked

uriah heep wrote:
> the below was what I got when I invoked the suggested commands in konsole
>
>
> sudo dpkg –configure -a
>
> gives below result
>
>
> [sudo] password for uriah:
>
> dpkg: dependency problems prevent configuration of sunwderby:
>
> sunwderby depends on sun-java5-jre; however:
>
> Package sun-java5-jre is not installed.
>
<snip>

Do you have a Java runtime installed? That seems to be what is missing
according to the error messages. And it should be the java5 not the
java6 stuff...

--
Blessings

Wulfmann

Wulf Credo:
Respect the elders. Teach the young. Co-operate with the pack.
Play when you can. Hunt when you must. Rest in between.
Share your affections. Voice your opinion. Leave your Mark.


--
kubuntu-users mailing list
kubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/kubuntu-users
 
Old 01-08-2008, 02:26 AM
"uriah heep"
 
Default broken files and apt get locked

Not that I am aware of.* To be positive how do I do a search?
Uriah

On Jan 7, 2008 8:44 PM, Wulfy <wulfmann@tiscali.co.uk> wrote:

uriah heep wrote:
> the below was what I got when I invoked the suggested commands in konsole
>
>
> sudo dpkg –configure -a
>
> gives below result
>
>

> [sudo] password for uriah:
>
> dpkg: dependency problems prevent configuration of sunwderby:
>
> sunwderby depends on sun-java5-jre; however:
>
> Package sun-java5-jre is not installed.

>
<snip>

Do you have a Java runtime installed? *That seems to be what is missing
according to the error messages. *And it should be the java5 not the
java6 stuff...


--
Blessings

Wulfmann

Wulf Credo:
Respect the elders. Teach the young. Co-operate with the pack.
Play when you can. Hunt when you must. Rest in between.

Share your affections. Voice your opinion. Leave your Mark.


--
kubuntu-users mailing list
kubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at:
https://lists.ubuntu.com/mailman/listinfo/kubuntu-users


--
kubuntu-users mailing list
kubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/kubuntu-users
 
Old 01-08-2008, 04:24 AM
Wulfy
 
Default broken files and apt get locked

uriah heep wrote:
> Not that I am aware of. To be positive how do I do a search?
> Uriah
At the Konsole:

java --version

If you have Java installed, it'll tell you what version it is. If not,
you get an error message. :@)

--
Blessings

Wulfmann

Wulf Credo:
Respect the elders. Teach the young. Co-operate with the pack.
Play when you can. Hunt when you must. Rest in between.
Share your affections. Voice your opinion. Leave your Mark.


--
kubuntu-users mailing list
kubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/kubuntu-users
 
Old 01-08-2008, 12:15 PM
Derek Broughton
 
Default broken files and apt get locked

uriah heep wrote:

> the below was what I got when I invoked the suggested commands in konsole
>
>
> sudo dpkg ?configure -a
>
> gives below result

...

# sudo aptitude -f install

IE, don't forget the "install".
--
derek


--
kubuntu-users mailing list
kubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/kubuntu-users
 
Old 01-09-2008, 03:56 AM
"uriah heep"
 
Default broken files and apt get locked

In konsole I invoked sudo aptitude -f install

I got









sudo] password for uriah:

Reading package lists... Done

Building dependency tree

Reading state information... Done

Initializing package states... Done

Writing extended state information...
Done

Building tag database... Done

The following packages are BROKEN:

glassfish-bin imq sunwderby

The following packages have been kept
back:

glassfish sun-java5-bin

0 packages upgraded, 0 newly installed,
0 to remove and 2 not upgraded.

Need to get 0B of archives. After
unpacking 0B will be used.

The following packages have unmet
dependencies:

sunwderby: Depends: sun-java5-jre but
it is not installable

glassfish-bin: Depends: sun-java5-jre
but it is not installable

imq: Depends: sun-java5-jre but it is
not installable

Resolving dependencies...

E: I wasn't able to locate a file for
the glassfish package. This might mean you
need to manually fix this package.
(due to missing arch)

E: I wasn't able to locate a file for
the sun-java5-bin package. This might mean
you need to manually fix this
package. (due to missing arch)

The following actions will resolve
these dependencies:





Install the following packages:

sun-java5-jre [1.5.0-13-0ubuntu1
(gutsy)]





Score is 41





Accept this solution? [Y/n/q/?] y

The following NEW packages will be
automatically installed:

sun-java5-jre

The following packages have been kept
back:

glassfish sun-java5-bin

The following NEW packages will be
installed:

sun-java5-jre

The following partially installed
packages will be configured:

glassfish-bin imq sunwderby

0 packages upgraded, 1 newly installed,
0 to remove and 2 not upgraded.

Need to get 0B of archives. After
unpacking 16.6MB will be used.

Do you want to continue? [Y/n/?] y

Writing extended state information...
Error!

E: I wasn't able to locate a file for
the glassfish package. This might mean you need to manually fix this
package. (due to missing arch)

E: I wasn't able to locate a file for
the sun-java5-bin package. This might mean you need to manually fix
this package. (due to missing arch)

uriah@The-Fourth-Horseman:~$


Is there any way to remove the broken packages.* I tried using remove from aptitude and got the same old error message




Thank you folks for your help

Uriah

















On Jan 8, 2008 8:15 AM, Derek Broughton <news@pointerstop.ca> wrote:

uriah heep wrote:

> the below was what I got when I invoked the suggested commands in konsole
>
>
> *sudo dpkg ?configure -a
>
> gives below result

...


# sudo aptitude -f install

IE, don't forget the "install".
--
derek


--
kubuntu-users mailing list

kubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/kubuntu-users



--
kubuntu-users mailing list
kubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/kubuntu-users
 

Thread Tools




All times are GMT. The time now is 07:11 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org